| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::OBDepthWorkModeList Class Reference

Class representing a list of OBDepthWorkMode. More...

`#include <Device.hpp>`

## Public Member Functions
| OBDepthWorkModeList (std::unique_ptr< OBDepthWorkModeListImpl > impl_)
| ~OBDepthWorkModeList ()
uint32_t | count ()
| Get the number of OBDepthWorkMode objects in the list.
OBDepthWorkMode | getOBDepthWorkMode (uint32_t index)
| Get the OBDepthWorkMode object at the specified index.
const char * | getName (uint32_t index)
| Get the name of the depth work mode at the specified index.
OBDepthWorkMode | operator[] (uint32_t index)
| Get the OBDepthWorkMode object at the specified index.

## Detailed Description

Class representing a list of OBDepthWorkMode.

Definition at line 894 of file Device.hpp.

## Constructor & Destructor Documentation

## ◆ OBDepthWorkModeList()

ob::OBDepthWorkModeList::OBDepthWorkModeList | ( | std::unique_ptr< OBDepthWorkModeListImpl > | impl_ | ) |

## ◆ ~OBDepthWorkModeList()

ob::OBDepthWorkModeList::~OBDepthWorkModeList | ( |  | ) |

## Member Function Documentation

## ◆ count()

uint32_t ob::OBDepthWorkModeList::count | ( |  | ) |

Get the number of OBDepthWorkMode objects in the list.

Returns
  uint32_t the number of OBDepthWorkMode objects in the list

## ◆ getOBDepthWorkMode()

OBDepthWorkMode ob::OBDepthWorkModeList::getOBDepthWorkMode | ( | uint32_t | index | ) |

Get the OBDepthWorkMode object at the specified index.

Parameters

  index | the index of the target OBDepthWorkMode object

Returns
  OBDepthWorkMode the OBDepthWorkMode object at the specified index

## ◆ getName()

const char * ob::OBDepthWorkModeList::getName | ( | uint32_t | index | ) |

Get the name of the depth work mode at the specified index.

Parameters

  index | the index of the depth work mode

Returns
  const char* the name of the depth work mode

## ◆ operator[]()

OBDepthWorkMode ob::OBDepthWorkModeList::operator[] | ( | uint32_t | index | ) |

Get the OBDepthWorkMode object at the specified index.

Parameters

  index | the index of the target OBDepthWorkMode object

Returns
  OBDepthWorkMode the OBDepthWorkMode object at the specified index

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Device.hpp